Package org.gradle.api.artifacts

# Interface ComponentMetadataSupplierDetails

public interface ComponentMetadataSupplierDetails
A component metadata rule details, giving access to the identifier of the component being resolved, the metadata builder, and the repository resource accessor for this.

Since:
  4.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ModuleComponentIdentifier`
  `getId()`
  Returns the identifier of the component being resolved
  `ComponentMetadataBuilder`
  `getResult()`
  Returns the metadata builder, that users can use to feed metadata for the component.

- ## Method Details

  - ### getId

    ModuleComponentIdentifier getId()
    Returns the identifier of the component being resolved
    Returns:
      the identifier

  - ### getResult

    ComponentMetadataBuilder getResult()
    Returns the metadata builder, that users can use to feed metadata for the component.
    Returns:
      the metadata builder